#include <qtextedit.h>
//#include <qmultilineedit.h>

typedef QValueList<QStringList> StringPairList;

class ConfigItem
{
public:
    ConfigItem();
    ConfigItem(QString title, QString content);
    
    int tagpos, taglen; 
    int contentpos, contentlen;
    ConfigItem *subItem;
    ConfigItem *nextItem;
    QString title, content;
};


class Setup
{

public:
    Setup();
    bool readConfig(QString filename);
    QString *separateConfig(QWidget *w);
    QString *itemizeConfig(QWidget *w, ConfigItem *item, StringPairList *configList);
		
//private:
    ConfigItem *baseItem;
    QString completText;
};

