//
// This class extends qtextedit for process control
//

#include <qtextedit.h>
#include <qprocess.h>


class ProcView : public QTextEdit
{
    Q_OBJECT

 public:
      ProcView(QWidget *parent = 0, const char *name = 0);
    ~ProcView();
    void init();
   
    
public slots:
    void handleProcOutput();
    void handleProcFinished();
    void getEOF( int *para, int *pos );    
signals:
    void processFinished(int, bool);  

public:
    // return false if String is empty or invalid
     bool run( QString arg );
private:
    QProcess *process;
    QDir *dir;
    int para, pos;
};
