#include <qwidget.h>
//#include <malloc.h>
#include "setup.h"

ConfigFile::ConfigFile(const char *filename, const char *path, QTextEdit *textedit, int tab)
{
    filetext = strcpy((char *)malloc(strlen(filename)+1), filename);
    pathtext = strcpy((char *)malloc(strlen(path)+1), path);
    edited = false;
    textWindow = textedit;
    tabWidget = tab;
    nextItem = NULL;
}

bool ConfigFile::equals(const char *filename, const char *path)
{
    if (strcmp(filename, filetext))
    {
	return false;
    }
    if (strcmp(pathtext, path))
    {
	return false;
    }
    return true;
}

void ConfigFile::setNext(ConfigFile *configFile)
{
    nextItem = configFile;
}

ConfigFile *ConfigFile::getNext()
{
    return nextItem;
}

QTextEdit *ConfigFile::getTextedit()
{
    return textWindow;
}

int ConfigFile::getTabWidget()
{
    return tabWidget;
}

